## org.metaabm.act.validation
Interface ASelectValidator

    public interface ASelectValidator

A sample validator interface for `ASelect`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateAgent(SAgent value)`
`boolean` `validateFor(ASelectTypes value)`
`boolean` `validateSpace(SProjection value)`

Method Detail

### validate

    boolean validate()

### validateAgent

    boolean validateAgent(SAgent value)

### validateSpace

    boolean validateSpace(SProjection value)

### validateFor

    boolean validateFor(ASelectTypes value)